%define name gnomecatalog
%define version 0.3.4.2
%define release %mkrel 4

Summary:       Catalog Software for Gnome Desktop
Name:          %{name}
Version:       %{version}
Release:       %{release}
Group:         Archiving/Other
License:       GPLv3
URL:           http://gnomecatalog.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: desktop-file-utils
Requires:      pygtk2.0 pygtk2.0-libglade gnome-python-gconf
Requires:      gnome-python gnome-python-gnomevfs python-kaa-metadata
Requires:      gnome-python-gtkhtml2 python-sqlite2
Requires:      python >= 2.6
Buildarch:     noarch

%description
Catalog your dvds/cds and files in your hard disk. Generate thumbnails 
of the video files and image files via nautilus (gnome file manager), 
and saves it in the database files. Save the metadata of the files, 
then you can search in the metatada of music and images.

%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root %buildroot
 
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/glade/
install -m 644 share/pixmaps/gcatalog.png $RPM_BUILD_ROOT%{_datadir}/%{name}/glade/

rm -rf %buildroot%_prefix/lib/mime 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
convert -scale 32 share/pixmaps/gcatalog.png %buildroot%_iconsdir/%name.png
convert -scale 16 share/pixmaps/gcatalog.png %buildroot%_miconsdir/%name.png
install share/pixmaps/gcatalog.png %buildroot%_liconsdir/%name.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_mime_database
%update_desktop_database
%update_icon_cache hicolor

%postun
%clean_menus
%clean_mime_database
%clean_desktop_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE README TODO ChangeLog
%{py_puresitedir}/*
%{_bindir}/gnomecatalog
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime-info/%{name}*
%{_datadir}/mime/packages/gnomecatalog.xml
%{_datadir}/man/man1/*
%{_datadir}/application-registry/gnomecatalog.applications
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-gcatalog.png
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png


%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.3.4.2-4pclos2010
- Update

* Mon May 12 2010 slick50 <lxgator@gmail.com> 0.3.4.2-3pclos2010
- rebuild 
- add Req: python-kaa-metadata

* Wed May 06 2009 slick50 <lxgator@gmail.com> 0.3.4.2-2pclos2009
- rebuild - fix menufix icon

* Sun Feb 22 2009 slick50 <lxgator@gmail.com> 0.3.4.2-1pclos2007
- initial pkg
